class Admin::Education::Programs::ApplicationController < Admin::Education::ApplicationController
  load_and_authorize_resource :program,
                              class: Education::Program,
                              through: :current_university,
                              through_association: :education_programs

  protected

  def breadcrumb
    super
    breadcrumb_for @program
  end

  def default_url_options
    options = super
    options[:program_id] = params[:program_id] if params.has_key? :program_id
    options
  end
end
